OpenNMS API 1.2.9

## org.opennms.netmgt.config
Interface PollOutagesConfig

All Known Implementing Classes:
  PollOutagesConfigManager

public interface PollOutagesConfig

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`boolean` `isCurTimeInOutage(java.lang.String outName)` Return if current time is part of specified outage.
`boolean` `isInterfaceInOutage(java.lang.String linterface, java.lang.String outName)` Return if interfaces is part of specified outage.
`boolean` `isTimeInOutage(long time, java.lang.String outName)` Return if time is part of specified outage.
`void` `update()`

Method Detail

### isInterfaceInOutage

    public boolean isInterfaceInOutage(java.lang.String linterface,
                                       java.lang.String outName)

  Return if interfaces is part of specified outage.

  Parameters:
    `linterface` - the interface to be looked up
    `outName` - the outage name
  Returns:
    the interface is part of the specified outage

### isCurTimeInOutage

    public boolean isCurTimeInOutage(java.lang.String outName)

  Return if current time is part of specified outage.

  Parameters:
    `outName` - the outage name
  Returns:
    true if current time is in outage

### isTimeInOutage

    public boolean isTimeInOutage(long time,
                                  java.lang.String outName)

  Return if time is part of specified outage.

  Parameters:
    `time` - the time in millis to look up
    `outName` - the outage name
  Returns:
    true if time is in outage

### update

    public void update()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.